<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes" encoding="ISO-8859-1"/>
	<!-- Parmetros pasados al XSL -->
	<!-- currentDate: Fecha actual con formato CCYYMMDDHHMM -->
	<xsl:param name="currentDate" select="'200001011200'"/>
	<xsl:param name="sender" select="'A0000000'"/>
	<xsl:param name="receiver" select="'ESA43446522'"/>
	<xsl:param name="messageNumber" select="'2000000000'"/>
	<xsl:param name="documentNumber" select="'A00000002000000000'"/>
	<xsl:param name="emailEmisor" select="'jcambra@portic.net'"/>
	<xsl:param name="FechaExpiracionEnt" select="'200912311259'"/>
	<xsl:param name="NumEntreguese" select="'A61961488882'"/>
	<xsl:param name="Funcion" select="9"/>
	<xsl:param name="NifTransportista" select="'A08139404'"/>
	<xsl:param name="NombreTransportista" select="'TRANSPORTES PORTUARIOS S.A'"/>
	<xsl:param name="NombreCliente" select="'CLIENTE'"/>
	<xsl:param name="DireccionCliente" select="'DIRECCION CLIENTE'"/>
	<xsl:param name="PoblacionCliente" select="'POBLACION CLIENTE'"/>
	<xsl:param name="NifCliente" select="''"/>
	<xsl:param name="NifDepot" select="'A08336349'"/>
	<xsl:param name="NombreDepot" select="'DAMEX S.A'"/>
	<xsl:param name="FechaServicio" select="'20051028'"/>
	<xsl:param name="HoraIniServicio" select="'1000'"/>
	<xsl:param name="HoraFinServicio" select="'1200'"/>
	<xsl:param name="Matricula" select="'contenedor'"/>
	<xsl:template match="/">
		<IFTMINE03>
			<xsl:call-template name="E03_CABECERA"/>
			<xsl:call-template name="E03_PARTIDAS"/>
			<xsl:call-template name="E03_EQUIPAMIENTOS"/>
		</IFTMINE03>
	</xsl:template>
	<!-- CABECERA -->
	<xsl:template name="E03_CABECERA">
		<IFTMINE03.HEADER>
			<anxs_interchange.header>
				<anxe_sender.identification>
					<xsl:value-of select="$sender"/>
				</anxe_sender.identification>
				<anxe_recipient.identification>
					<xsl:value-of select="$receiver"/>
				</anxe_recipient.identification>
			</anxs_interchange.header>
			<anxs_message.header>
				<anxe_message.reference.number>
					<xsl:value-of select="$messageNumber"/>
				</anxe_message.reference.number>
				<anxe_message.type>IFTMIN</anxe_message.type>
				<anxe_message.version.number>D</anxe_message.version.number>
			</anxs_message.header>
			<trsd_beginning.of.message>
				<tred_document.message.name.coded>702</tred_document.message.name.coded>
				<tred_document.message.number>
					<xsl:value-of select="$messageNumber"/>
				</tred_document.message.number>
				<tred_message.function.coded>
					<xsl:value-of select="$Funcion"/>
				</tred_message.function.coded>
			</trsd_beginning.of.message>
			<trcd_date.time.period>
				<tred_date.time.period.qualifier>137</tred_date.time.period.qualifier>
				<tred_date.time.period>
					<xsl:value-of select="$currentDate"/>
				</tred_date.time.period>
			</trcd_date.time.period>
			<trsd_free.text>
				<tred_text.subject.qualifier>ZSE</tred_text.subject.qualifier>
				<trcd_text.literal>
					<tred_free.text>
						<xsl:value-of select="$emailEmisor"/>
					</tred_free.text>
				</trcd_text.literal>
			</trsd_free.text>
			<!-- Free Text con tipo CLR (Instrucciones de carga) -->
			<xsl:apply-templates select="descendant::trsd_free.text[tred_text.subject.qualifier='DIN'][1]"/>
			<!-- Free Text con tipo CHG (Informacion de los cambios) -->
			<xsl:apply-templates select="descendant::trsd_free.text[tred_text.subject.qualifier='CHG'][1]"/>
		</IFTMINE03.HEADER>
		<!-- Referencia con tipo AAS (Numero de orden de transporte) -->
		<IFTMINE03.GROUP3>
			<trcd_reference>
				<tred_reference.qualifier>AAS</tred_reference.qualifier>
				<tred_reference.number>
					<xsl:value-of select="$documentNumber"/>
				</tred_reference.number>
			</trcd_reference>
		</IFTMINE03.GROUP3>
		<!-- Referencia con tipo BN (Numero de booking) -->
		<xsl:apply-templates select="descendant::trcd_reference[tred_reference.qualifier='BN'][1]"/>
		<!-- Referencia con tipo ACA (Numero de orden de admision) -->
		<xsl:apply-templates select="descendant::trcd_reference[tred_reference.qualifier='ACA'][1]"/>
		<!-- Referencia con tipo SI (Referencia a un mensaje previo) -->
		<xsl:apply-templates select="descendant::trcd_reference[tred_reference.qualifier='SI'][1]"/>
		<!-- Referencia con tipo ACW (Referencia a un mensaje previo) -->
		<xsl:apply-templates select="descendant::trcd_reference[tred_reference.qualifier='ACW'][1]"/>
		<!-- Referencia con tipo AAJ (Numero de orden de entreguese) -->
		<IFTMINE03.GROUP3>
			<trcd_reference>
				<tred_reference.qualifier>AAJ</tred_reference.qualifier>
				<tred_reference.number>
					<xsl:value-of select="$NumEntreguese"/>
				</tred_reference.number>
			</trcd_reference>
			<trcd_date.time.period>
				<tred_date.time.period.qualifier>235</tred_date.time.period.qualifier>
				<tred_date.time.period>
					<xsl:value-of select="$FechaExpiracionEnt"/>
				</tred_date.time.period>
			</trcd_date.time.period>
		</IFTMINE03.GROUP3>
		<!--Referencia con tipo AIO (Numero de transito) -->
		<xsl:apply-templates select="descendant::trcd_reference[tred_reference.qualifier='VON' or tred_reference.qualifier='ESC'][1]"/>
		<IFTMINE03.GROUP8>
			<!-- Ddetalles de transporte maritimo con codigo tipo 20  -->
			<xsl:apply-templates select="descendant::trsd_details.of.transport[tred_transport.stage.qualifier = '20'][1]"/>
			<!-- Iinformacion de la localizacion con tipo 8 (Lugar de destino) -->
			<xsl:variable name="PERIOD_TYPE" select="//COPARNE02.GROUP2/trcd_date.time.period[1]/tred_date.time.period.qualifier"/>
			<xsl:variable name="PERIOD_TIME" select="//COPARNE02.GROUP2/trcd_date.time.period[1]/tred_date.time.period"/>
			<trcd_date.time.period>
				<tred_date.time.period.qualifier>
					<xsl:value-of select="$PERIOD_TYPE"/>
				</tred_date.time.period.qualifier>
				<tred_date.time.period>
					<xsl:value-of select="$PERIOD_TIME"/>
				</tred_date.time.period>
			</trcd_date.time.period>
			<trcd_date.time.period>
				<tred_date.time.period.qualifier>200</tred_date.time.period.qualifier>
				<tred_date.time.period>
					<xsl:value-of select="$FechaServicio"/>
				</tred_date.time.period>
			</trcd_date.time.period>
			<trcd_date.time.period>
				<tred_date.time.period.qualifier>200</tred_date.time.period.qualifier>
				<tred_date.time.period>
					<xsl:value-of select="$HoraIniServicio"/>
				</tred_date.time.period>
			</trcd_date.time.period>
			<trcd_date.time.period>
				<tred_date.time.period.qualifier>200</tred_date.time.period.qualifier>
				<tred_date.time.period>
					<xsl:value-of select="$HoraFinServicio"/>
				</tred_date.time.period>
			</trcd_date.time.period>
			<xsl:apply-templates select="descendant::trcd_date.time.period[tred_date.time.period.qualifier='2'][1]"/>
			<!-- Fecha con tipo 393 (Fecha prevista de recogida del contenedor) -->
			<xsl:apply-templates select="descendant::trcd_date.time.period[tred_date.time.period.qualifier='393'][1]"/>
			<xsl:variable name="ID_LOC1" select="//COPARNE02.GROUP2/trcd_location.identification[1]/tred_place.location.qualifier"/>
			<xsl:variable name="COD_LOC1" select="//COPARNE02.GROUP2/trcd_location.identification[1]/tred_place.location.identification"/>
			<xsl:variable name="DESC_LOC1" select="//COPARNE02.GROUP2/trcd_location.identification[1]/tred_place.location"/>
			<xsl:variable name="ID_LOC2" select="//COPARNE02.GROUP2/trcd_location.identification[2]/tred_place.location.qualifier"/>
			<xsl:variable name="COD_LOC2" select="//COPARNE02.GROUP2/trcd_location.identification[2]/tred_place.location.identification"/>
			<xsl:variable name="DESC_LOC2" select="//COPARNE02.GROUP2/trcd_location.identification[2]/tred_place.location"/>
			<xsl:variable name="ID_LOC3" select="//COPARNE02.GROUP2/trcd_location.identification[3]/tred_place.location.qualifier"/>
			<xsl:variable name="COD_LOC3" select="//COPARNE02.GROUP2/trcd_location.identification[3]/tred_place.location.identification"/>
			<xsl:variable name="DESC_LOC3" select="//COPARNE02.GROUP2/trcd_location.identification[3]/tred_place.location"/>
			
		<IFTMINE03.GROUP9>			
			<trcd_location.identification>
				<tred_place.location.qualifier>14</tred_place.location.qualifier>
				<tred_place.location.identification>
					<xsl:value-of select="$COD_LOC1"/>
					<xsl:if test="boolean(string-length($COD_LOC1)=0)">08M000</xsl:if>
				</tred_place.location.identification>
				<tred_place.location>
					<xsl:value-of select="$DESC_LOC1"/>
					<xsl:if test="boolean(string-length($DESC_LOC1)=0)">-</xsl:if>
				</tred_place.location>
			</trcd_location.identification>
		</IFTMINE03.GROUP9>			
			
		<xsl:choose>
			<xsl:when test="$ID_LOC2=13">
				<!-- Viene transbordo y destino final. El puerto final estara en la 3 -->
		<IFTMINE03.GROUP9>			
			<trcd_location.identification>
				<tred_place.location.qualifier>8</tred_place.location.qualifier>
				<tred_place.location.identification>
					<xsl:value-of select="$COD_LOC3"/>
					<xsl:if test="boolean(string-length($COD_LOC3)=0)">ZZZZZ</xsl:if>
				</tred_place.location.identification>
				<tred_place.location>
					<xsl:value-of select="$DESC_LOC3"/>
					<xsl:if test="boolean(string-length($DESC_LOC3)=0)">-</xsl:if>
				</tred_place.location>
			</trcd_location.identification>
		</IFTMINE03.GROUP9>			
			</xsl:when>
			<xsl:when test="$ID_LOC2=8">
				<!-- Viene solo destino final. La 2 ya es el puerto final -->
		<IFTMINE03.GROUP9>			
			<trcd_location.identification>
				<tred_place.location.qualifier>8</tred_place.location.qualifier>
				<tred_place.location.identification>
					<xsl:value-of select="$COD_LOC2"/>
					<xsl:if test="boolean(string-length($COD_LOC2)=0)">ZZZZZ</xsl:if>
				</tred_place.location.identification>
				<tred_place.location>
					<xsl:value-of select="$DESC_LOC2"/>
					<xsl:if test="boolean(string-length($DESC_LOC2)=0)">-</xsl:if>
				</tred_place.location>
			</trcd_location.identification>
		</IFTMINE03.GROUP9>			
			</xsl:when>
		</xsl:choose>
			
			<!--
			<xsl:apply-templates select="descendant::trcd_location.identification[tred_place.location.qualifier='5'][1]"/>
			<xsl:apply-templates select="descendant::trcd_location.identification[tred_place.location.qualifier='14'][1]"/>
			<xsl:apply-templates select="descendant::*[tred_place.locatione.qualifier='8' or tred_place.location.qualifier='8'][1]"/>
			-->
		</IFTMINE03.GROUP8>
		<!-- Se selecciona la informacion de nombre y direccion con tipo CN (Consignatario) -->
		<!--<xsl:apply-templates select="descendant::*[trsd_name.and.address/tred_party.qualifier='CN'][1]"/>-->
		<xsl:for-each select="/COPARNE02/COPARNE02.GROUP3">
			<xsl:variable name="CODIGO_GROUP3" select="trsd_name.and.address/tred_party.qualifier"/>
			<xsl:variable name="NIF_GROUP3" select="trsd_name.and.address/tred_party.id.identification"/>
			<xsl:variable name="NAME_GROUP3" select="trsd_name.and.address/tred_name.and.address.line"/>
			<xsl:variable name="ADRESS_GROUP3" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
			<xsl:variable name="CITY_GROUP3" select="trsd_name.and.address/tred_city.name"/>
			<xsl:variable name="COUNTRY_GROUP3" select="trsd_name.and.address/tred_country.coded"/>
			<xsl:if test="$CODIGO_GROUP3 = 'CN'">
				<IFTMINE03.GROUP11>
					<trsd_name.and.address>
						<tred_party.qualifier>
							<xsl:value-of select="$CODIGO_GROUP3"/>
						</tred_party.qualifier>
						<tred_party.id.identification>
							<xsl:value-of select="$NIF_GROUP3"/>
						</tred_party.id.identification>
						<tred_name.and.address.line>
							<xsl:value-of select="$NAME_GROUP3"/>
						</tred_name.and.address.line>
						<xsl:if test="$ADRESS_GROUP3!=''">
							<tred_street.and.number.p.o.box>
								<xsl:value-of select="$ADRESS_GROUP3"/>
							</tred_street.and.number.p.o.box>
						</xsl:if>
						<xsl:if test="$CITY_GROUP3!=''">
							<tred_city.name>
								<xsl:value-of select="$CITY_GROUP3"/>
							</tred_city.name>
						</xsl:if>
						<xsl:if test="$COUNTRY_GROUP3!=''">
							<tred_country.coded>
								<xsl:value-of select="$COUNTRY_GROUP3"/>
							</tred_country.coded>
						</xsl:if>
					</trsd_name.and.address>
				</IFTMINE03.GROUP11>
			</xsl:if>
		</xsl:for-each>
		<!-- Se selecciona la informacion de nombre y direccion con tipo GT (Ferrocarril) o GA (Carretera) (Transporte terrestre) -->
		<IFTMINE03.GROUP11>
			<trsd_name.and.address>
				<tred_party.qualifier>GA</tred_party.qualifier>
				<tred_party.id.identification>
					<xsl:value-of select="$NifTransportista"/>
				</tred_party.id.identification>
				<tred_name.and.address.line>
					<xsl:value-of select="$NombreTransportista"/>
				</tred_name.and.address.line>
			</trsd_name.and.address>
		</IFTMINE03.GROUP11>
		<!-- Se selecciona la informacion de nombre y direccion con tipo TR (Terminal de carga) -->
		<xsl:apply-templates select="descendant::*[trsd_name.and.address/tred_party.qualifier='TR'][1]"/>
		<!-- Se selecciona la informacion de nombre y direccion con tipo SF (Lugar de carga) -->
		<IFTMINE03.GROUP11>
			<trsd_name.and.address>
				<tred_party.qualifier>SF</tred_party.qualifier>
				<xsl:if test="$NifCliente != ''">
					<tred_party.id.identification>
						<xsl:value-of select="$NifCliente"/>
					</tred_party.id.identification>
				</xsl:if>
				<tred_name.and.address.line>
					<xsl:value-of select="$NombreCliente"/>
				</tred_name.and.address.line>
				<tred_street.and.number.p.o.box>
					<xsl:value-of select="$DireccionCliente"/>
				</tred_street.and.number.p.o.box>
				<tred_city.name>
					<xsl:value-of select="$PoblacionCliente"/>
				</tred_city.name>
			</trsd_name.and.address>
		</IFTMINE03.GROUP11>
		<!-- Se selecciona la informacion de nombre y direccion con tipo CR (Entrega del equipamiento vacioo) -->
		<IFTMINE03.GROUP11>
			<trsd_name.and.address>
				<tred_party.qualifier>CR</tred_party.qualifier>
				<tred_party.id.identification>
					<xsl:value-of select="$NifDepot"/>
				</tred_party.id.identification>
				<tred_name.and.address.line>
					<xsl:value-of select="$NombreDepot"/>
				</tred_name.and.address.line>
			</trsd_name.and.address>
		</IFTMINE03.GROUP11>
	</xsl:template>
	<xsl:template match="trsd_free.text">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trcd_reference[tred_reference.qualifier ='AAJ']">
		<IFTMINE03.GROUP3>
			<xsl:copy-of select="."/>
			<xsl:copy-of select="/root/descendant::trcd_date.time.period[tred_date.time.period.qualifier='235'][1]"/>
		</IFTMINE03.GROUP3>
	</xsl:template>
	<xsl:template match="trcd_reference[tred_reference.qualifier='ESC']">
		<IFTMINE03.GROUP3>
			<trcd_reference>
				<tred_reference.qualifier>VON</tred_reference.qualifier>
				<tred_reference.number>
					<xsl:value-of select="tred_reference.number"/>
				</tred_reference.number>
			</trcd_reference>
		</IFTMINE03.GROUP3>
	</xsl:template>
	<xsl:template match="trcd_reference[tred_reference.qualifier != 'AAJ' and tred_reference.qualifier != 'ESC']">
		<IFTMINE03.GROUP3>
			<xsl:copy-of select="."/>
		</IFTMINE03.GROUP3>
	</xsl:template>
	<xsl:template match="trcd_date.time.period[tred_date.time.period.qualifier='133']">
		<trcd_date.time.period>
			<tred_date.time.period.qualifier>
				<xsl:value-of select="*/tred_date.time.period.qualifier"/>
			</tred_date.time.period.qualifier>
			<tred_date.time.period>
				<xsl:value-of select="*/tred_date.time.period"/>
			</tred_date.time.period>
			<tred_date.time.period.format.qualifier>
				<xsl:value-of select="*/tred_date.time.period.format.qualifier"/>
			</tred_date.time.period.format.qualifier>
		</trcd_date.time.period>
	</xsl:template>
	<xsl:template match="trcd_date.time.period">
		<xsl:copy-of select="."/>
	</xsl:template>
	<!--<xsl:template match="trsd_details.of.transport">
		<xsl:copy-of select="."/>
	</xsl:template>-->
	<xsl:template match="trsd_details.of.transport">
		<trsd_details.of.transport>
			<tred_transport.stage.qualifier>20</tred_transport.stage.qualifier>
			<xsl:if test="tred_conveyance.reference.number">
				<tred_conveyance.reference.number>
					<xsl:value-of select="tred_conveyance.reference.number"/>
				</tred_conveyance.reference.number>
			</xsl:if>
			<tred_mode.of.transport.coded>
				<xsl:value-of select="tred_mode.of.transport.coded"/>
			</tred_mode.of.transport.coded>
			<trcd_carrier>
				<tred_carrier.identification>
					<xsl:value-of select="*/tred_carrier.identification"/>
				</tred_carrier.identification>
				<tred_carrier.name>
					<xsl:value-of select="*/tred_carrier.name"/>
				</tred_carrier.name>
			</trcd_carrier>
			<trcd_transport.identification>
				<tred_id.of.the.means.of.transport>
					<xsl:variable name="LLOYDS" select="*/tred_id.of.the.means.of.transport"/>
					<xsl:choose>
						<xsl:when test="$LLOYDS!=''">
							<xsl:value-of select="$LLOYDS"/>
						</xsl:when>
						<xsl:otherwise>0000000</xsl:otherwise>
					</xsl:choose>
				</tred_id.of.the.means.of.transport>
				<tred_id.of.means.of.transport.identification>
					<xsl:value-of select="*/tred_id.of.means.of.transport.identification"/>
				</tred_id.of.means.of.transport.identification>
				<tred_nationality.of.means.of.transport.coded>
					<xsl:value-of select="*/tred_nationality.of.means.of.transport.coded"/>
				</tred_nationality.of.means.of.transport.coded>
			</trcd_transport.identification>
		</trsd_details.of.transport>
	</xsl:template>
	<xsl:template match="*[tred_place.locatione.qualifier='8']">
		<IFTMINE03.GROUP9>
			<xsl:if test="tred_place.location.qualifier">
				<xsl:copy-of select="."/>
			</xsl:if>
			<xsl:if test="tred_place.locatione.qualifier">
				<trsd_place.location.identification>
					<tred_place.location.qualifier>
						<xsl:value-of select="tred_place.locatione.qualifier"/>
					</tred_place.location.qualifier>
					<tred_place.location.identification>
						<xsl:value-of select="tred_place.locatione.identification"/>
					</tred_place.location.identification>
					<tred_place.location>
						<xsl:value-of select="tred_related.place.location.one"/>
					</tred_place.location>
				</trsd_place.location.identification>
			</xsl:if>
		</IFTMINE03.GROUP9>
	</xsl:template>
	<xsl:template match="trcd_location.identification">
		<IFTMINE03.GROUP9>
			<xsl:copy-of select="."/>
		</IFTMINE03.GROUP9>
	</xsl:template>
	<xsl:template match="*[trsd_name.and.address/tred_party.qualifier='GT' or trsd_name.and.address/tred_party.qualifier='GA']">
		<IFTMINE03.GROUP11>
			<xsl:copy-of select="trsd_name.and.address"/>
			<xsl:if test="descendant::trsd_contact.information/tred_contact.function.coded='CA'">
				<IFTMINE03.GROUP12>
					<xsl:apply-templates select="descendant::trsd_contact.information[tred_contact.function.coded='CA'][1]"/>
					<xsl:apply-templates select="descendant::trcd_communication.contact[1]"/>
				</IFTMINE03.GROUP12>
			</xsl:if>
		</IFTMINE03.GROUP11>
	</xsl:template>
	<xsl:template match="*[trsd_name.and.address/tred_party.qualifier='TR']">
		<IFTMINE03.GROUP11>
			<xsl:copy-of select="trsd_name.and.address"/>
			<!-- Free Text con tipo BLR (Observaciones sobre el lugar de entrega) -->
			<xsl:apply-templates select="descendant::trsd_free.text[tred_text.subject.qualifier='BLR'][1]"/>
			<xsl:if test="descendant::trsd_contact.information/tred_contact.function.coded='LB'">
				<IFTMINE03.GROUP12>
					<xsl:apply-templates select="descendant::trsd_contact.information[tred_contact.function.coded='LB'][6]"/>
					<xsl:apply-templates select="descendant::trcd_communication.contact"/>
				</IFTMINE03.GROUP12>
			</xsl:if>
		</IFTMINE03.GROUP11>
	</xsl:template>
	<xsl:template match="*[trsd_name.and.address/tred_party.qualifier='SF']">
		<IFTMINE03.GROUP11>
			<xsl:copy-of select="trsd_name.and.address"/>
			<xsl:if test="descendant::trsd_contact.information/tred_contact.function.coded='LO'">
				<IFTMINE03.GROUP12>
					<xsl:apply-templates select="descendant::trsd_contact.information[tred_contact.function.coded='LO'][1]"/>
					<xsl:apply-templates select="descendant::trcd_communication.contact"/>
				</IFTMINE03.GROUP12>
			</xsl:if>
		</IFTMINE03.GROUP11>
	</xsl:template>
	<xsl:template match="*[trsd_name.and.address/tred_party.qualifier='CN' or trsd_name.and.address/tred_party.qualifier='CR']">
		<IFTMINE03.GROUP11>
			<xsl:copy-of select="trsd_name.and.address"/>
			<!--<xsl:copy-of select="."/>-->
		</IFTMINE03.GROUP11>
	</xsl:template>
	<xsl:template match="trsd_contact.information">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trcd_communication.contact">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template name="E03_PARTIDAS">
		<xsl:call-template name="Partida">
			<xsl:with-param name="arbol" select="*[descendant::trsd_goods.item.details][1]"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="Partida">
		<xsl:param name="arbol"/>
		<xsl:for-each select="/COPARNE02/COPARNE02.GROUP5">
			<IFTMINE03.GROUP18>
				<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
				<xsl:variable name="PAR_NUM_BULTOS" select="trsd_goods.item.details/tred_number.of.packages"/>
				<xsl:variable name="PAR_TIPO_EMBALAJE" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
				<xsl:variable name="PAR_INSTR_MANIP_COD" select="trcd_handling.instructions/tred_handling.instructions.coded"/>
				<xsl:variable name="PAR_INSTR_MANIP" select="trcd_handling.instructions/tred_handling.instructions"/>
				<xsl:variable name="PAR_CAL_PRIMERO" select="trsd_free.text[1]/tred_text.subject.qualifier"/>
				<xsl:variable name="PAR_TXT_PRIMERO" select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
				<xsl:variable name="PAR_CAL_SEGUNDO" select="trsd_free.text[2]/tred_text.subject.qualifier"/>
				<xsl:variable name="PAR_PESO" select="trsd_measurements/tred_measurement.value"/>
				<xsl:variable name="posicion" select="position()"/>
				<!--<xsl:variable name="PAR_EQUIPMENT" select="//COPARNE02.GROUP7/trsd_split.goods.placement[1]/tred_equipment.identification.number"/>-->
				<trsd_goods.item.details>
					<tred_goods.item.number>
						<xsl:value-of select="$PAR_NUM_PARTIDA"/>
					</tred_goods.item.number>
					<tred_number.of.packages>
						<xsl:value-of select="$PAR_NUM_BULTOS"/>
					</tred_number.of.packages>
					<tred_type.of.packages.identification>
						<xsl:value-of select="$PAR_TIPO_EMBALAJE"/>
					</tred_type.of.packages.identification>
				</trsd_goods.item.details>
				<trsd_free.text>
					<tred_text.subject.qualifier>
						<xsl:choose>
									<xsl:when test="$PAR_CAL_PRIMERO!=''">
										<xsl:value-of select="$PAR_CAL_PRIMERO"/>
									</xsl:when>
							<xsl:otherwise>AAA</xsl:otherwise>
							</xsl:choose>
					</tred_text.subject.qualifier>
					<trcd_text.literal>
						<tred_free.text>
								<xsl:choose>
									<xsl:when test="$PAR_TXT_PRIMERO!=''">
										<xsl:value-of select="$PAR_TXT_PRIMERO"/>
									</xsl:when>
							<xsl:otherwise>NO INFORMADA</xsl:otherwise>
							</xsl:choose>
						</tred_free.text>
					</trcd_text.literal>
				</trsd_free.text>
				<xsl:if test="$PAR_PESO != ''">
					<IFTMINE03.GROUP20>
						<trsd_measurements>
							<tred_measurement.dimension.coded>AAG</tred_measurement.dimension.coded>
							<tred_measurement.value>
								<xsl:value-of select="$PAR_PESO"/>
							</tred_measurement.value>
						</trsd_measurements>
					</IFTMINE03.GROUP20>
				</xsl:if>
				<xsl:call-template name="GRUPO29">
					<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
					<xsl:with-param name="PAR_NUM_BULTOS" select="$PAR_NUM_BULTOS"/>
					<xsl:with-param name="position" select="$posicion"/>
				</xsl:call-template>
				<xsl:apply-templates select="$arbol/descendant-or-self::*[trsd_dangerous.goods]"/>
			</IFTMINE03.GROUP18>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO29">
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:param name="PAR_NUM_BULTOS"/>
		<xsl:param name="position"/>
		<xsl:for-each select="//COPARNE02.GROUP5[$position]/COPARNE02.GROUP7">
			<xsl:variable name="PAR_EQUIPMENT" select="trsd_split.goods.placement/tred_equipment.identification.number"/>
			<xsl:variable name="PAR_BULTOS_EQUIP" select="trsd_split.goods.placement/tred_number.of.packages"/>
			<xsl:for-each select="$PAR_EQUIPMENT">
				<xsl:if test="$PAR_EQUIPMENT=$Matricula">
					<IFTMINE03.GROUP29>
						<trsd_split.goods.placement>
							<tred_equipment.identification.number>
								<xsl:value-of select="$PAR_EQUIPMENT"/>
							</tred_equipment.identification.number>
							<tred_number.of.packages>
								<xsl:value-of select="$PAR_BULTOS_EQUIP"/>
							</tred_number.of.packages>
						</trsd_split.goods.placement>
					</IFTMINE03.GROUP29>
				</xsl:if>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="trsd_split.goods.placement">
		<IFTMINE03.GROUP29>
			<xsl:if test="tred_equipment.identification.number">
				<xsl:copy-of select="."/>
			</xsl:if>
			<xsl:if test="trcd_equipment.identification">
				<trsd_split.goods.placement>
					<tred_equipment.identification.number>
						<xsl:value-of select="trcd_equipment.identification"/>
					</tred_equipment.identification.number>
					<tred_number.of.packages>
						<xsl:value-of select="tred_number.of.packages"/>
					</tred_number.of.packages>
				</trsd_split.goods.placement>
			</xsl:if>
		</IFTMINE03.GROUP29>
	</xsl:template>
	<xsl:template match="*[trsd_dangerous.goods]">
		<IFTMINE03.GROUP32>
			<xsl:copy-of select="trsd_dangerous.goods"/>
			<xsl:if test="trsd_free.text/trcd_text.literal">
				<xsl:copy-of select="descendant::trsd_free.text[tred_text.subject.qualifier='AAD'][1]"/>
				<xsl:copy-of select="descendant::trsd_free.text[tred_text.subject.qualifier='AAC'][1]"/>
			</xsl:if>
			<xsl:if test="trsd_free.text/tred_free.text1">
				<xsl:for-each select="trsd_free.text">
					<trsd_free.text>
						<tred_text.subject.qualifier>
							<xsl:value-of select="tred_text.subject.qualifier"/>
						</tred_text.subject.qualifier>
						<trcd_text.literal>
							<tred_free.text>
								<xsl:value-of select="tred_free.text1"/>
							</tred_free.text>
						</trcd_text.literal>
					</trsd_free.text>
				</xsl:for-each>
			</xsl:if>
		</IFTMINE03.GROUP32>
	</xsl:template>
	<xsl:template match="trcd_handling.instructions">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trcd_range">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trcd_movement.type">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trsd_measurementsP">
		<IFTMINE03.GROUP20>
			<trsd_measurementsP>
				<tred_measurement.dimension.coded>AAG</tred_measurement.dimension.coded>
				<tred_measurement.value>
					<xsl:value-of select="tred_measurement.value"/>
				</tred_measurement.value>
			</trsd_measurementsP>
		</IFTMINE03.GROUP20>
	</xsl:template>
	<xsl:template match="trsd_package.identification">
		<IFTMINE03.GROUP23>
			<xsl:copy-of select="."/>
		</IFTMINE03.GROUP23>
	</xsl:template>
	<xsl:template match="trsd_free.text">
		<xsl:if test="trcd_text.literal">
			<xsl:copy-of select="."/>
		</xsl:if>
		<xsl:if test="tred_free.text1">
			<trsd_free.text>
				<tred_text.subject.qualifier>
					<xsl:value-of select="tred_text.subject.qualifier"/>
				</tred_text.subject.qualifier>
				<trcd_text.literal>
					<tred_free.text>
						<xsl:value-of select="tred_free.text1"/>
					</tred_free.text>
				</trcd_text.literal>
			</trsd_free.text>
		</xsl:if>
	</xsl:template>
	<xsl:template name="E03_EQUIPAMIENTOS">
		<xsl:for-each select="/COPARNE02/COPARNE02.GROUP9">
			<xsl:variable name="estamatricula" select="descendant::tred_reference.number[1]"/>
			<xsl:if test="descendant::tred_reference.number and $Matricula=$estamatricula">
				<xsl:variable name="numero" select="descendant::tred_reference.number[1]"/>
				<IFTMINE03.GROUP37>
					<!-- Se selecciona el segmento equipments details (deberian ser iguales en todas las copias pero cogemos el primero) -->
					<xsl:apply-templates select="descendant::trsd_equipment.details[1]"/>
					<!-- Referencia con tipo SQ (Numero scuelcial del contenedor)Si no se encuentra, se pone la matricula -->
					<xsl:choose>
						<xsl:when test="/root/descendant::trcd_reference[tred_reference.qualifier='SQ'][1]">
							<xsl:apply-templates select="/root/descendant::trcd_reference[tred_reference.qualifier='SQ'][1]"/>
						</xsl:when>
						<xsl:otherwise>
							<trcd_reference>
								<tred_reference.qualifier>SQ</tred_reference.qualifier>
								<tred_reference.number>
									<xsl:value-of select="descendant::trcd_reference[1]/tred_reference.number"/>
								</tred_reference.number>
							</trcd_reference>
						</xsl:otherwise>
					</xsl:choose>
					<!-- Se selecciona el segmento TMD (detalles del movimiento del transporte) -->
					<xsl:apply-templates select="/root/descendant::trcd_movement.type[1]"/>
					<!-- Se selecciona el segmento MEA (con codigo 
, peso bruto o AAD en caso de que provenga del IFTMCS) -->
					<!-- <xsl:apply-templates select="descendant::trsd_measurements[tred_measurement.dimension.coded = 'AET'][1]"/> -->
					<xsl:apply-templates select="descendant::trsd_measurements[tred_measurement.dimension.coded = 'AET' or ancestor::IFTMCS.GROUP35/trsd_measurements/tred_measurement.dimension.coded = 'AAD'][1]"/>
					<!-- Se selecciona el segmento DIM -->
					<xsl:apply-templates select="descendant::trcd_dimensions[1]"/>
					<!-- Se selecciona el segmento SEL -->
					<xsl:apply-templates select="descendant::trsd_seal.number[1]"/>
					<!-- Se selecciona el segmento RNG o TMP -->
					<xsl:apply-templates select="/root/*[descendant::tred_equipment.identification.number=$numero or descendant::trsd_equipment.details][descendant::tred_temperature.setting or descendant::trcd_range][1]/descendant::*[tred_temperature.setting or tred_range.minimum][1]"/>
					<!-- Se selecciona el segmento FTX (con codigo BLR, observaciones a la documentacion de transporte) -->
					<xsl:apply-templates select="descendant::trsd_free.text[descendant::tred_text.subject.qualifier = 'BLR'][1]"/>
				</IFTMINE03.GROUP37>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="trsd_equipment.details">
		<trsd_equipment.details>
			<tred_equipment.qualifier>
				<xsl:value-of select="tred_equipment.qualifier"/>
			</tred_equipment.qualifier>
			<xsl:if test="tred_equipment.identification.number">
				<tred_equipment.identification.number>
					<xsl:value-of select="tred_equipment.identification.number"/>
				</tred_equipment.identification.number>
			</xsl:if>
			<xsl:if test="tred_equipment.size.and.type.identification">
				<tred_equipment.size.and.type.identification>
					<xsl:value-of select="tred_equipment.size.and.type.identification"/>
				</tred_equipment.size.and.type.identification>
			</xsl:if>
		</trsd_equipment.details>
	</xsl:template>
	<xsl:template match="trcd_reference">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trcd_movement.type">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trsd_measurements">
		<xsl:if test="descendant::tred_measurement.dimension.coded='AET'">
			<trsd_measurements>
				<tred_measurement.dimension.coded>AET</tred_measurement.dimension.coded>
				<tred_measurement.value>
					<xsl:value-of select="tred_measurement.value"/>
				</tred_measurement.value>
			</trsd_measurements>
		</xsl:if>
		<xsl:if test="descendant::tred_measurement.dimension.coded='AAG'">
			<IFTMINE03.GROUP20>
				<trsd_measurements>
					<tred_measurement.dimension.coded>AAG</tred_measurement.dimension.coded>
					<tred_measurement.value>
						<xsl:value-of select="tred_measurement.value"/>
					</tred_measurement.value>
				</trsd_measurements>
			</IFTMINE03.GROUP20>
		</xsl:if>
	</xsl:template>
	<xsl:template match="trcd_dimensions">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trsd_seal.number">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trcd_range">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="trcd_temperature.setting">
		<trcd_range>
			<tred_range.maximum>
				<xsl:value-of select="tred_temperature.setting"/>
			</tred_range.maximum>
			<tred_range.minimum>
				<xsl:value-of select="tred_temperature.setting"/>
			</tred_range.minimum>
			<tred_measure.unit.qualifier>
				<xsl:value-of select="tred_measure.unit.qualifier"/>
			</tred_measure.unit.qualifier>
		</trcd_range>
	</xsl:template>
	<xsl:template match="trsd_free.text">
		<xsl:if test="trcd_text.literal">
			<xsl:copy-of select="."/>
		</xsl:if>
		<xsl:if test="tred_free.text1">
			<trsd_free.text>
				<tred_text.subject.qualifier>
					<xsl:value-of select="tred_text.subject.qualifier"/>
				</tred_text.subject.qualifier>
				<trcd_text.literal>
					<tred_free.text>
						<xsl:value-of select="tred_free.text1"/>
					</tred_free.text>
				</trcd_text.literal>
			</trsd_free.text>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
